Proč již Java, Silverlight, Adobe Acrobat a jiné zásuvné moduly nefungují?

Počínaje verzí Firefoxu 52, která byla vydána 7. března 2017, již nejsou ve Firefoxu podporovány nainstalované zásuvné moduly NPAPI s výjimkou Adobe Flashe. Mezi zásuvné moduly, které se již ve Firefoxu nezavedou (i když budou v počítači nainstalovány), patří Java, Microsoft Silverlight a Adobe Acrobat. Podrobnosti naleznete v tomto dokumentu.

Během posledních pár let Firefox implementoval nejrůznější Webová API, aby mohly webové stránky fungovat tak, jak fungují bez použití zásuvných modulů, takže při svém brouzdání s největší pravděpodobností žádnou změnu ani nezaznamenáte.

Proč se to stalo?

Internet je plný webů, které jdou daleko za statické stránky. Zásuvné moduly NPAPI, zvláště Flash, těmto interaktivním stránkám pomáhaly fungovat. Ovšem také vaše brouzdání zpomalují, činí ho méně bezpečným a náchylnějším k pádům.

Během posledních pár let Firefox usilovně pracoval na tom, aby do sebe zabudoval náhradní řešení za tyto zásuvné moduly. Dohromady se jím říká Webová API. Jejich účelem je převzít funkci těchto zásuvných modulů, aniž by byla podkopána bezpečnost, stabilita a výkon prohlížeče.

Dříve tyto Webové API nebyly ještě zcela připraveny, takže Firefox započal přechod tak, že nechal zásuvné moduly načítat ručně (aktivace na klepnutí).

Dnes již připraveny jsou. Řada webů je přijala a téměř všechny vaše oblíbené stránky si můžete užívat bez použití starých a ne zcela bezpečných zásuvných modulů. Firefox se připojuje k jiným moderním prohlížečům, jako jsou Google Chrome a Microsoft Edge, a odstraňuje podporu těchto zásuvných modulů NPAPI.

Mám potíže

V případě, že ještě nejste na tento přechod připraveni, Firefox 52 (vydání s prodlouženou podporou) bude v podpoře těchto zásuvných modulů pokračovat až do začátku roku 2018. Zde si můžete Firefox 52 stáhnout.

Důležité: 64-bitová verze Firefoxu 52 pro systém Windows podporuje pouze zásuvné moduly Adobe Flash a Microsoft Silverlight. Pokud potřebujete podporu i pro Javu nebo jiné nainstalované zásuvné moduly, použijte 32-bitovou verzi Firefoxu 52.

Ve výchozím nastavení bude Firefox 52 ESR používat data ze stejného uživatelského profilu jako ostatní verze Firefoxu. Instalace Firefoxu 52 ESR po používání Firefoxu 55 nebo vyšší verze může způsobovat problémy jako např. chybová hlášení, nefunkčnost některých součástí Firefoxu a problémy s některými webovými stránkami. Buďto byste si tedy měli vytvořit nový profil, který budete používat s Firefoxem 52 ESR, anebo po instalaci Firefoxu 52 ESR provést obnovu Firefoxu.

Byl tento článek srozumitelný? Počkejte prosím...

Tito lidé pomohli se sepsáním tohoto článku: soucet. Také můžete pomoci - přečtěte si jak.